GNU bug report logs - #14353
Implement array-fold and array-fold-all

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guile; Severity: wishlist; Reported by: Jez <jezreel@HIDDEN>; merged with #14354; dated Mon, 6 May 2013 04:37:02 UTC; Maintainer for guile is bug-guile@HIDDEN.
Severity set to 'wishlist' from 'normal' Request was from Mark H Weaver <mhw@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 14353 14354. Request was from Mark H Weaver <mhw@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 May 2013 04:36:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 06 00:36:10 2013
Received: from localhost ([127.0.0.1]:59317 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1UZD9m-0004JC-18
	for submit <at> debbugs.gnu.org; Mon, 06 May 2013 00:36:10 -0400
Received: from eggs.gnu.org ([208.118.235.92]:46081)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jezreel@HIDDEN>) id 1UZCBP-0008GX-UJ
	for submit <at> debbugs.gnu.org; Sun, 05 May 2013 23:33:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jezreel@HIDDEN>) id 1UZCAW-0000Dd-3v
	for submit <at> debbugs.gnu.org; Sun, 05 May 2013 23:32:53 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-100.7 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
	HTML_MESSAGE,RCVD_IN_DNSWL_LOW,T_DKIM_INVALID,USER_IN_WHITELIST
	autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:37783)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jezreel@HIDDEN>) id 1UZCAW-0000DZ-0P
	for submit <at> debbugs.gnu.org; Sun, 05 May 2013 23:32:52 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57442)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jezreel@HIDDEN>) id 1UZCAU-0000sI-6w
	for bug-guile@HIDDEN; Sun, 05 May 2013 23:32:51 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <jezreel@HIDDEN>) id 1UZCAT-0000D8-AX
	for bug-guile@HIDDEN; Sun, 05 May 2013 23:32:50 -0400
Received: from mail-oa0-f54.google.com ([209.85.219.54]:35813)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <jezreel@HIDDEN>) id 1UZCAT-0000D2-3o
	for bug-guile@HIDDEN; Sun, 05 May 2013 23:32:49 -0400
Received: by mail-oa0-f54.google.com with SMTP id j1so3058566oag.41
	for <bug-guile@HIDDEN>; Sun, 05 May 2013 20:32:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=x-received:mime-version:from:date:message-id:subject:to
	:content-type; bh=Lf7YUfmpc76gKfHy/dpG+GbETjkzB0y/TrxcLQ+nZW4=;
	b=wzj8QpIksfpC0GLFObu/Tp5gh1G3zYWpSSRzY+YuPZkjiE2rH+ldJVFr+DAbzFdlD8
	mE0Ny0tQMf5Nf+75oBqrT22g8c/ZxE5VnVHGKrVT9b0SDqGVgKgY1vvkfjPm/BdTjCoG
	A1CsIoVxFI5z7JTzH58e4Ht6f61RG/lcP5FCrI4hKs68nXHIsP1xuLO42CkOf+9vex0j
	PrpnNYs7UhhsWRP8DylVirAo/NJo4WXtveLkIVgDFC0c2JYVD6RlIOMuuzjNk5DhCJCB
	T14OglrlAqhs29QH8swvxO1GNLexBnom6Q32sS8fVMuxArZq6UqxI7xmC3pOsy7DPAKN
	r2qg==
X-Received: by 10.60.34.135 with SMTP id z7mr4971728oei.68.1367811167910; Sun,
	05 May 2013 20:32:47 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.76.125.3 with HTTP; Sun, 5 May 2013 20:32:26 -0700 (PDT)
From: Jez <jezreel@HIDDEN>
Date: Sun, 5 May 2013 23:32:26 -0400
Message-ID: <CABVpgLWn85Y0AguCURLWtyJLtFKcj2DyWJUQ_BX+zu5Oe--etw@HIDDEN>
Subject: Implement array-fold and array-fold-all
To: bug-guile@HIDDEN
Content-Type: multipart/mixed; boundary=089e0122acb4c8cfe804dc045a63
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
	[fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 06 May 2013 00:36:07 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

--089e0122acb4c8cfe804dc045a63
Content-Type: multipart/alternative; boundary=089e0122acb4c8cfe304dc045a61

--089e0122acb4c8cfe304dc045a61
Content-Type: text/plain; charset=ISO-8859-1

Right now there are no library functions for folding over arrays (or
bytevectors, etc.) This implements them. fold-all produces a single value
regardless of the number of dimensions of the array; it is implemented on
top of array-for-each. array-fold produces an array of rank n-1, where n is
the rank of the original array.

I'll write up documentation if the code looks acceptable.

Regards,
Jez

--089e0122acb4c8cfe304dc045a61
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

Right now there are no library functions for folding over arrays (or byteve=
ctors, etc.) This implements them. fold-all produces a single value regardl=
ess of the number of dimensions of the array; it is implemented on top of a=
rray-for-each. array-fold produces an array of rank n-1, where n is the ran=
k of the original array.<div>

<br></div><div>I&#39;ll write up documentation if the code looks acceptable=
.<br><div><br></div><div>Regards,<br clear=3D"all"><div>Jez</div>
</div></div>

--089e0122acb4c8cfe304dc045a61--
--089e0122acb4c8cfe804dc045a63
Content-Type: application/octet-stream; 
	name="0001-Implement-array-fold-and-array-fold-all.patch"
Content-Disposition: attachment; 
	filename="0001-Implement-array-fold-and-array-fold-all.patch"
Content-Transfer-Encoding: base64
X-Attachment-Id: f_hgd3crxo0
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--089e0122acb4c8cfe804dc045a63--




Acknowledgement sent to Jez <jezreel@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guile@HIDDEN. Full text available.
Report forwarded to bug-guile@HIDDEN:
bug#14353; Package guile. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.